using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

#region << 版 本 注 释 >>
/*--------------------------------------------------------------------
* 版权所有 (c) 2024 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：LAPTOP-E0N2L34V
* 命名空间：SlnMesnac.Model.domain
* 唯一标识：824938ce-516b-4891-95f3-428dc0e74880
*
* 创建者：WenJY
* 电子邮箱：wenjy@mesnac.com
* 创建时间：2024-04-08 10:32:45
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/
#endregion << 版 本 注 释 >>
namespace SlnMesnac.Model.domain
{
    /// <summary>
    /// 物料信息
    ///</summary>
    [SugarTable("mes_base_material_info"), TenantAttribute("mes")]
    public class BaseMaterialInfo
    {
        /// <summary>
        /// 主键标识 
        ///</summary>
        [SugarColumn(ColumnName = "material_id", IsPrimaryKey = true, IsIdentity = true)]
        public long MaterialId { get; set; }
        /// <summary>
        /// ERP的主键;对应FMATERIALID 
        ///</summary>
        [SugarColumn(ColumnName = "erp_id")]
        public long ErpId { get; set; }
        /// <summary>
        /// 物料编码;对应ERP的FNumber 
        ///</summary>
        [SugarColumn(ColumnName = "material_code")]
        public string MaterialCode { get; set; }
        /// <summary>
        /// 旧物料编码 
        ///</summary>
        [SugarColumn(ColumnName = "old_material_code")]
        public string OldMaterialCode { get; set; }
        /// <summary>
        /// 物料名称;对应ERP的FName 
        ///</summary>
        [SugarColumn(ColumnName = "material_name")]
        public string MaterialName { get; set; }
        /// <summary>
        /// 物料大类(1,原材料 2,半成品 3,成品) 
        ///</summary>
        [SugarColumn(ColumnName = "material_categories")]
        public string MaterialCategories { get; set; }
        /// <summary>
        /// 物料小类;暂时不使用，预留 
        ///</summary>
        [SugarColumn(ColumnName = "material_subclass")]
        public string MaterialSubclass { get; set; }
        /// <summary>
        /// 物料类型，关联mes_base_material_type的material_type_id 
        ///</summary>
        [SugarColumn(ColumnName = "material_type_id")]
        public int? MaterialTypeId { get; set; }
        /// <summary>
        /// 批次标识，(0否，1是) 
        ///</summary>
        [SugarColumn(ColumnName = "batch_flag")]
        public string BatchFlag { get; set; }
        /// <summary>
        /// 计量单位ID;对应FBaseUnitId 
        ///</summary>
        [SugarColumn(ColumnName = "material_unit_id")]
        public long? MaterialUnitId { get; set; }
        /// <summary>
        /// 计量单位名称 
        ///</summary>
        [SugarColumn(ColumnName = "material_unit")]
        public string MaterialUnit { get; set; }
        /// <summary>
        /// 物料组 
        ///</summary>
        [SugarColumn(ColumnName = "material_matkl")]
        public string MaterialMatkl { get; set; }
        /// <summary>
        /// 物料规格;对应FSpecification 
        ///</summary>
        [SugarColumn(ColumnName = "material_spec")]
        public string MaterialSpec { get; set; }
        /// <summary>
        /// 净重;FNETWEIGHT 
        ///</summary>
        [SugarColumn(ColumnName = "net_weight")]
        public decimal? NetWeight { get; set; }
        /// <summary>
        /// 毛重;FGROSSWEIGHT 
        ///</summary>
        [SugarColumn(ColumnName = "gross_weight")]
        public decimal? GrossWeight { get; set; }
        /// <summary>
        /// 所属工厂，关联mes_base_factory_info的factory_id 
        ///</summary>
        [SugarColumn(ColumnName = "factory_id")]
        public int? FactoryId { get; set; }
        /// <summary>
        /// 创建组织;对应FCreateOrgId 
        ///</summary>
        [SugarColumn(ColumnName = "create_org_id")]
        public long? CreateOrgId { get; set; }
        /// <summary>
        /// 使用组织;对应FUseOrgId 
        ///</summary>
        [SugarColumn(ColumnName = "use_org_id")]
        public long? UseOrgId { get; set; }
        /// <summary>
        /// 所属产线;多个用,隔开 
        ///</summary>
        [SugarColumn(ColumnName = "prodline_id")]
        public string ProdlineId { get; set; }
        /// <summary>
        /// 激活标识：1-是；0-否 
        /// 默认值: 1
        ///</summary>
        [SugarColumn(ColumnName = "active_flag")]
        public string ActiveFlag { get; set; }
        /// <summary>
        /// 删除标识(0否，1是) 
        ///</summary>
        [SugarColumn(ColumnName = "deleted_flag")]
        public string DeletedFlag { get; set; }
        /// <summary>
        /// 备注 
        ///</summary>
        [SugarColumn(ColumnName = "remark")]
        public string Remark { get; set; }
        /// <summary>
        /// 创建人 
        ///</summary>
        [SugarColumn(ColumnName = "create_by")]
        public string CreateBy { get; set; }
        /// <summary>
        /// 创建时间;对应FCreateDate 
        ///</summary>
        [SugarColumn(ColumnName = "create_time")]
        public DateTime? CreateTime { get; set; }
        /// <summary>
        /// 更新人 
        ///</summary>
        [SugarColumn(ColumnName = "update_by")]
        public string UpdateBy { get; set; }
        /// <summary>
        /// 更新时间 
        ///</summary>
        [SugarColumn(ColumnName = "update_time")]
        public DateTime? UpdateTime { get; set; }
        /// <summary>
        /// 审核日期;对应FApproveDate 
        ///</summary>
        [SugarColumn(ColumnName = "approve_date")]
        public DateTime? ApproveDate { get; set; }
        /// <summary>
        /// erp最后更新日期;对应FModifyDate 
        ///</summary>
        [SugarColumn(ColumnName = "erp_modify_date")]
        public DateTime? ErpModifyDate { get; set; }
    }
}
